package com.mortals.xhx.daemon.task;

import cn.hutool.http.HttpUtil;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ITask;
import com.mortals.framework.service.ITaskExcuteService;
import com.mortals.xhx.base.system.user.service.UserService;
import com.mortals.xhx.common.code.ProjectTypeEnum;
import com.mortals.xhx.module.setup.model.SetupProjectEntity;
import com.mortals.xhx.module.setup.service.SetupProjectService;
import lombok.extern.slf4j.Slf4j;
import org.checkerframework.checker.units.qual.A;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 检测项目运行状态
 */
@Slf4j
@Service("CheckProjectStatusTask")
public class CheckProjectStatusTaskImpl implements ITaskExcuteService {

    @Autowired
    private SetupProjectService setupProjectService;

    @Value("${project.nacosUrl}")
    private String nacosUrl;


    @Override
    public void excuteTask(ITask task) throws AppException {
        log.info("检测项目运行状态任务");

        List<SetupProjectEntity> setupProjectEntities = setupProjectService.find(new SetupProjectEntity());
        for (SetupProjectEntity setupProjectEntity : setupProjectEntities) {
            if (ProjectTypeEnum.后端.getValue() == setupProjectEntity.getProjectType()) {
                //todo
                String serverUrl = nacosUrl + "/v1/ns/catalog/instances?serviceName=" + setupProjectEntity.getProjectCode() + "&clusterName=DEFAULT&groupName=DEFAULT_GROUP&pageSize=10&pageNo=1&namespaceId=smart-gov";
                String resp = HttpUtil.get(serverUrl);
                log.info("服务实例详细查询url:{},返回:{}", serverUrl, resp);

            } else if (ProjectTypeEnum.前端.getValue() == setupProjectEntity.getProjectType()) {
                //todo
            }
        }


    }


    @Override
    public void stopTask(ITask task) throws AppException {

    }


}
